Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1661832 - Hybrid sleep not working on Gigabyte motherboard with Ryzen CPU
Summary: Hybrid sleep not working on Gigabyte motherboard with Ryzen CPU
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1729697 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-23 18:20 UTC by PaulD
Modified: 2020-02-24 23:20 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:05:20 UTC
Type: Bug


Attachments (Terms of Use)
dmesg output (89.53 KB, text/plain)
2018-12-27 22:11 UTC, PaulD
no flags Details
journalctl -b output (372.66 KB, text/plain)
2018-12-27 22:12 UTC, PaulD
no flags Details

Description PaulD 2018-12-23 18:20:19 UTC
Description of problem: Hybrid sleep not working on Gigabyte motherboard with AMD CPU


Version-Release number of selected component (if applicable):4.19.10-300.fc29.x86_64


How reproducible:


Steps to Reproduce:
1. Systemctl hybrid-sleep
2. Observe system behaviour
3. Video is off, but system remains powered

Actual results: system remains powered, video off


Expected results: system enters hybrid sleep mode, power is off


Additional info: Dmesg shows "ACPI: Hardware changed while hibernated, success doubtful!" 
Regular suspend and hibernate works fine.
Motherboard: Gigabyte B450 AORUS PRO WIFI, CPU: Ryzen 5 2400G

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-12-24 10:53:26 UTC
Looks like a hardware driver issue. Please attach the 'journalctl -b' and maybe also 'dmesg' output.

Comment 2 PaulD 2018-12-27 22:11:54 UTC
Created attachment 1517116 [details]
dmesg output

Comment 3 PaulD 2018-12-27 22:12:25 UTC
Created attachment 1517117 [details]
journalctl -b output

Comment 4 PaulD 2018-12-27 22:14:22 UTC
BTW, after the hybrid sleep command my system becomes unresponsive, so I had to restart to get the logs.

Comment 5 Justin M. Forbes 2019-01-29 16:13:47 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 6 PaulD 2019-02-01 01:39:14 UTC
Tested with  4.20.5-200.fc29, and the issue is still present - screen is blank, keyboard/mouse not functioning, PC still on.

Comment 7 PaulD 2019-02-26 17:00:08 UTC
Tested with  4.20.10, and looks like hibernate part works fine now, but PC still stays powered. 
I tried this:
/etc/systemd/sleep.conf.d/hibernatemode.conf

[Sleep]
HibernateMode=shutdown

but it makes no difference. 

How do I tell hibernate to shutdown PC on Fedora?

Comment 8 Justin M. Forbes 2019-08-20 17:41:40 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 9 Zbigniew Jędrzejewski-Szmek 2019-08-20 18:41:07 UTC
*** Bug 1729697 has been marked as a duplicate of this bug. ***

Comment 10 Justin M. Forbes 2019-09-17 20:05:20 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 11 PaulD 2020-02-24 23:20:53 UTC
I'm getting bugged about this almost every day, even though this ticket is closed. What's going on?? Can your stop spamming, pz?


Note You need to log in before you can comment on or make changes to this bug.